Debian Bug report logs - #324188
swh-plugins: simple does not work

version graph

Package: swh-plugins; Maintainer for swh-plugins is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for swh-plugins is src:swh-plugins.

Reported by: Florian Reitmeir <squat@riot.org>

Date: Sat, 20 Aug 2005 19:18:13 UTC

Severity: important

Tags: moreinfo, unreproducible

Found in version swh-plugins/0.4.13-1

Fixed in version swh-plugins/0.4.15-0.1

Done: Barry deFreese <bdefreese@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#324188; Package swh-plugins. Full text and rfc822 format available.

Acknowledgement sent to Florian Reitmeir <squat@riot.org>:
New Bug report received and forwarded. Copy sent to Anand Kumria <wildfire@progsoc.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florian Reitmeir <squat@riot.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: swh-plugins: simple does not work
Date: Sat, 20 Aug 2005 21:13:43 +0200
Package: swh-plugins
Version: 0.4.13-1
Severity: grave
Justification: renders package unusable


Hi,

i tried some filters from the package,
i recompiled the package ( i had to apply the patch from the nice other
bug, the package does not compile on i386)

i really tried hard and long, here is my alsa sample config:

<home>/.asoundrc

-----------------------
pcm.sblive {
        type hw
        card 0
}

pcm.psblive {
        type plug
        slave {
                pcm sblive
        }
}

pcm.filter {
        type plug
        slave {
                pcm compress
        }
}


pcm.compress {
        type ladspa
        slave.pcm psblive
        path "/usr/lib/ladspa";
        plugins [{
                label dysonCompress
                input {
                        #peak limit, release time, fast ratio, ratio
                        controls [0 0.25 0.5 0.5]
                }
        }]
}
-----------------------

on the commandline a:
>aplay -Dcompress <file>
or
>aplay -Dplug:compress <file>
should enable the plugin.

there is something coming out, but its very distorted. So it might be only
the problem that the alsa<->ladspa interface is broken, but i guess the
gcc conversion broke the package.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13-rc6
Locale: LANG=C, LC_CTYPE=de_AT@euro (charmap=ISO-8859-15)

Versions of packages swh-plugins depends on:
ii  fftw3                         3.0.1-13   library for computing Fast Fourier
ii  libc6                         2.3.5-3    GNU C Library: Shared libraries an

swh-plugins recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#324188; Package swh-plugins. Full text and rfc822 format available.

Acknowledgement sent to nick@fargus.net:
Extra info received and forwarded to list. Copy sent to Anand Kumria <wildfire@progsoc.org>. Full text and rfc822 format available.

Message #10 received at 324188@bugs.debian.org (full text, mbox):

From: Nick Rusnov <nick@fargus.net>
To: 324188@bugs.debian.org
Subject: Errrr
Date: Wed, 22 Mar 2006 13:20:21 -0800
To me this looks more like an alsa bug than a swh-plugins bug. The
plugins (at least in .4.14-1) appear to operate as expected in other
host apps (specifically I tested dyson compressor with the same
arguments as in the bug report in Audacity, and recieved an output that
was not distorted in a way inconsistant with expectations). 

-- 
-><- Nick Rusnov
-><- http://nick.industrialmeats.com
-><- nick@fargus.net/nickrusnov@debian.org 



Information forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#324188; Package swh-plugins. Full text and rfc822 format available.

Acknowledgement sent to Pierre HABOUZIT <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Anand Kumria <wildfire@progsoc.org>. Full text and rfc822 format available.

Message #15 received at 324188@bugs.debian.org (full text, mbox):

From: Pierre HABOUZIT <madcoder@debian.org>
To: Nick Rusnov <nick@fargus.net>, 324188@bugs.debian.org, 324188-submitter@bugs.debian.org
Subject: Re: Errrr
Date: Tue, 20 Jun 2006 19:46:16 +0200
[Message part 1 (text/plain, inline)]
On Wed, Mar 22, 2006 at 01:20:21PM -0800, Nick Rusnov wrote:
> To me this looks more like an alsa bug than a swh-plugins bug. The
> plugins (at least in .4.14-1) appear to operate as expected in other
> host apps (specifically I tested dyson compressor with the same
> arguments as in the bug report in Audacity, and recieved an output that
> was not distorted in a way inconsistant with expectations). 

  plase, what is the status of that bug ? RC bugs should not rot in the
BTS. if it's indeed an alsa bug, please reassign it to the appropriate
package with an explanation. if not, please take the necessary steps to
close/downgrade that bug ASAP.
-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[signature.asc (application/pgp-signature, inline)]

Message sent on to Florian Reitmeir <squat@riot.org>:
Bug#324188. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#324188; Package swh-plugins. Full text and rfc822 format available.

Acknowledgement sent to Christian Aichinger <Greek0@gmx.net>:
Extra info received and forwarded to list. Copy sent to Anand Kumria <wildfire@progsoc.org>. Full text and rfc822 format available.

Message #23 received at 324188@bugs.debian.org (full text, mbox):

From: Christian Aichinger <Greek0@gmx.net>
To: 324188@bugs.debian.org
Subject: Re: swh-plugins: simple does not work
Date: Sat, 9 Sep 2006 15:39:32 +0200
[Message part 1 (text/plain, inline)]
On Sat, Aug 20, 2005 at 09:13:43PM +0200, Florian Reitmeir wrote:
> on the commandline a:
> >aplay -Dcompress <file>
> or
> >aplay -Dplug:compress <file>
> should enable the plugin.
> 
> there is something coming out, but its very distorted. So it might be only
> the problem that the alsa<->ladspa interface is broken, but i guess the
> gcc conversion broke the package.

Hi,
I took a look at the problem, however I can't reproduce it. Sound
output is normal, not distorted in any way (using -Dplug:compress
with your .asoundrc)

Cheers,
Christian Aichinger
[signature.asc (application/pgp-signature, inline)]

Severity set to `important' from `grave' Request was from Martin Zobel-Helas <zobel@ftbfs.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from Martin Zobel-Helas <zobel@ftbfs.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: unreproducible Request was from Martin Zobel-Helas <zobel@ftbfs.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anand Kumria <wildfire@progsoc.org>:
Bug#324188; Package swh-plugins. Full text and rfc822 format available.

Acknowledgement sent to Free Ekanayaka <freee@debian.org>:
Extra info received and forwarded to list. Copy sent to Anand Kumria <wildfire@progsoc.org>. Full text and rfc822 format available.

Message #34 received at 324188@bugs.debian.org (full text, mbox):

From: Free Ekanayaka <freee@debian.org>
To: 324188@bugs.debian.org
Cc: Nick Rusnov <nick@fargus.net>, Christian Aichinger <Greek0@gmx.net>, Daniel James <daniel@64studio.com>
Subject: swh-plugins: simple does not work
Date: Tue, 05 Jun 2007 14:42:10 +0200
[Message part 1 (text/plain, inline)]
Hi all,

the latest upstream release of swh-plugins seems to fix this bug, plus
another jamin-related one which has not been submitted to the Debian
BTS, but is available here:

http://trac.64studio.com/64studio/ticket/326

I've prepared a very straight NMU (which I attach below) and going to
upload it in the next days if nobody objects.

Ciao!

Free
[patch (application/octet-stream, attachment)]

Bug marked as fixed in version 0.4.15-0.1. Request was from Barry deFreese <bdefreese@debian.org> to control@bugs.debian.org. (Tue, 03 Feb 2009 15:54:03 GMT) Full text and rfc822 format available.

Reply sent to bdefreese@debian.org:
You have taken responsibility. (Tue, 03 Feb 2009 15:54:07 GMT) Full text and rfc822 format available.

Notification sent to Florian Reitmeir <squat@riot.org>:
Bug acknowledged by developer. (Tue, 03 Feb 2009 15:54:07 GMT) Full text and rfc822 format available.

Message #41 received at 324188-done@bugs.debian.org (full text, mbox):

From: Barry deFreese <bdefreese@debian.org>
To: 324188-done@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Fixed in 0.4.15-0.1
Date: Tue, 03 Feb 2009 10:36:13 -0500
fixed 324188 0.4.15-0.1

thank you

Barry deFreese
Debian QA




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Mar 2009 07:32:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:48:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.